> ## Documentation Index
> Fetch the complete documentation index at: https://idle.docs.datacircle.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Start a Stripe Checkout



## OpenAPI

````yaml /openapi.json post /checkout/
openapi: 3.1.0
info:
  title: Datacircle API
  version: '1'
servers:
  - url: https://api.datacircle.dev
security:
  - token: []
paths:
  /checkout/:
    post:
      summary: Start a Stripe Checkout
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - amount_usd
              properties:
                amount_usd:
                  type: integer
                  enum:
                    - 50
                    - 100
      responses:
        '200':
          description: '`{"checkout_url": ...}`: send the browser there'
        '400':
          description: Amount not offered
components:
  securitySchemes:
    token:
      type: apiKey
      in: header
      name: Authorization
      description: '`Token <your API key>`'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.